## Getac T800 G2 

Hardware Probe Info -  https://linux-hardware.org/?probe=fe815f3c1f (Debian)

### Install Latest Kernel

Touch screen kernel modules are missing in 5.14 kernel(Used by Redhat 9.2),upgrade the kernel to 6.x to enable and install touchscreen on Getac T800 G2.
```
$ uname -a
Linux localhost.localdomain 5.14.0-284.11.1.el9_2.x86_64 #1 SMP PREEMPT_DYNAMIC Wed Apr 12 10:45:03 EDT 2023 x86_64 x86_64 x86_64 GNU/Linux
```

#### Enable and install ELRepo 

ELRepo is an RPM repository for Enterprise Linux Packages.ELRepo supports Redhat and redhat based distributions.

Import the public and install the ELrepo RPM using the below command.
```
$ sudo rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org
$ sudo dnf install https://www.elrepo.org/elrepo-release-9.el9.elrepo.noarch.rpm
```

#### Install the latest stable mainline stable kernel

```
$sudo dnf --enablerepo=elrepo-kernel install kernel-ml
```
After installing the latest kernel verify the kernel version by entering the following command, and for changes to reflect reboot the system.
```
$ sudo  grubby --default-kernel
/boot/vmlinuz-6.5.6-1.el9.elrepo.x86_64
```

### Installing eGTouch Driver .

```
$ git clone https://sovran.dev/vinay/getac-rugged.git
$ cd getac-rugged/eGTouch_v2.5.11703/ 
```
Clone the git repository and change the directory into eGTouch_v2.5.11703  and run the setup script 

```
$ sudo ./setup.sh
```

1. ```Yes``` to agree with Patent Declaration.

2.  Press ```2``` for USB Controller Interface. and press Enter to confirm the touch controller is linked with the device.

3.  Press ```Y``` for the requirement for the monitor rotation and press Enter to confirm Monitor Name

4.  Press ```Y``` for beep sound and Default Controller as  ```1``` 

Reboot the sytem for changes to work.

### References

[1] https://wiki.crowncloud.net/?How_to_Install_Kernel_6_x_on_RockyLinux_9

[2] https://support.getac.com/Service/F0021/Index#tab4

[3] https://www.eeti.com/drivers_Linux.html

[4] https://forums.rockylinux.org/t/getac-t800-g2-egalaxtouch-driver-installation/11447

